<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_x_mbigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="bigint_x_mbigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_x_mbigint</refname>
    <refpurpose>overloading  compatibility for binary operators .* (element wise product) with bigint/mbigint</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   B=x*A
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>A,B:</term>
      <listitem><para> mbigint</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> bigint</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
bigint/mbigint element wise product
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
//
x=123456
y=456789
z=987654
M=[x y; z x-z]
M=mbigint(MM)
x*MM
bigint(x)*M

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="bigint_m_bigint">bigint_m_bigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
